VismaBouwsoftAPICalls.v1_GET_AssignmentDevices Method
v1_GET_AssignmentDevices() as String

This API call is used to get fields of a(n) AssignmentDevice(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentDevices/
or
API Path: /AssignmentDevices/{id}
or
API Path: /AssignmentDevices/FieldInfo/

You can make this API call:
* without the key field id to get a list of AssignmentDevices
* with the key field id as the path parameter (the specific id of the AssignmentDevice you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 Yes Yes No
device_id 1 tpLong 0 No No No
device_nr 2 tpString 100 No No No
device_description 2 tpString 0 No No No
repair 5 tpBool 0 No Yes No
maintenance 5 tpBool 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/AssignmentDevices/

API Path: /AssignmentDevices/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentDevices

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jfIfWxffAkzSfrbfkfzRqPmGfUffGfDjfIlbzPOIOGOflIjmbk

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/3822”, “Records”: [
  {
    "id": 13,
    "assignment_id": 5,
    "device_id": 6,
    "device_nr": "TE.001",
    "device_description": "Tegels Antraciet 40x40cm",
    "repair": false,
    "maintenance": true,
    "ts_lastupdate": "2026–02–22 11:50:09"
  },
  {
    "id": 14,
    "assignment_id": 5,
    "device_id": 20,
    "device_nr": "Viess R 001",
    "device_description": "Vitoset universele radiator 300x1000mm",
    "repair": false,
    "maintenance": true,
    "ts_lastupdate": "2026–02–22 11:50:09"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/AssignmentDevices

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: assignment_id eq 1496
ParameterName: limit, ParameterValue: 1
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 4293,
    "assignment_id": 1496,
    "device_id": 892,
    "device_nr": "190182",
    "device_description": "Inox buizen",
    "repair": false,
    "maintenance": false,
    "ts_lastupdate": "2026–05–07 09:19:09"
  }
]
}

/AssignmentDevices/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentDevices/1496

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: kDAfWxfUjtzSfUbOGtzRqPjmfDPlIOmkjkVtzOtAPjPGGlrrfD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1496,
    "assignment_id": 484,
    "device_id": 304,
    "device_nr": "TE.004",
    "device_description": "Tegels Citroengeel 40*60",
    "repair": false,
    "maintenance": false,
    "ts_lastupdate": "2026–02–22 11:50:09"
  }
]
}

/AssignmentDevices/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentDevices/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "assignment_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "device_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]